Appends a message, addressing the ticket by the tracking key the create endpoint returned.
POST
/v1/integration/tickets/by-tracking-key/{trackingKey}/messages
const url = 'https://api.example.com/v1/integration/tickets/by-tracking-key/example/messages';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"content":"example","contentHtml":"example","subject":"example","attachmentIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/v1/integration/tickets/by-tracking-key/example/messages \ --header 'Content-Type: application/json' \ --data '{ "content": "example", "contentHtml": "example", "subject": "example", "attachmentIds": [ "example" ] }'Identical to the by-id route; exists so a caller holding only a 202’s tracking key needs no extra round trip. That includes the closed-ticket continuation, the attachment rules, and both 409s: FD:3001 means this key was used with different content (do not retry), FD:3002 means an earlier request with it is still in flight (retry in a moment).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”trackingKey
required
string
Header Parameters
Section titled “Header Parameters”Idempotency-Key
string
Request Bodyrequired
Section titled “Request Bodyrequired”object
content
string
contentHtml
string
subject
string
attachmentIds
Array
Examplegenerated
{ "content": "example", "contentHtml": "example", "subject": "example", "attachmentIds": [ "example" ]}object
content
string
contentHtml
string
subject
string
attachmentIds
Array
Examplegenerated
{ "content": "example", "contentHtml": "example", "subject": "example", "attachmentIds": [ "example" ]}object
content
string
contentHtml
string
subject
string
attachmentIds
Array
Examplegenerated
{ "content": "example", "contentHtml": "example", "subject": "example", "attachmentIds": [ "example" ]}Responses
Section titled “Responses”OK
object
Examplegenerated
{ "data": { "id": "example", "ticketId": "example", "trackingKey": "example", "createdAt": "2026-04-15T12:00:00Z", "continuedInNewTicket": true, "parentTicketId": "example", "isReplay": true }, "success": true, "error": { "status": "example", "code": "example", "details": "example", "message": "example" }}object
Examplegenerated
{ "data": { "id": "example", "ticketId": "example", "trackingKey": "example", "createdAt": "2026-04-15T12:00:00Z", "continuedInNewTicket": true, "parentTicketId": "example", "isReplay": true }, "success": true, "error": { "status": "example", "code": "example", "details": "example", "message": "example" }}Created
object
Examplegenerated
{ "data": { "id": "example", "ticketId": "example", "trackingKey": "example", "createdAt": "2026-04-15T12:00:00Z", "continuedInNewTicket": true, "parentTicketId": "example", "isReplay": true }, "success": true, "error": { "status": "example", "code": "example", "details": "example", "message": "example" }}object
Examplegenerated
{ "data": { "id": "example", "ticketId": "example", "trackingKey": "example", "createdAt": "2026-04-15T12:00:00Z", "continuedInNewTicket": true, "parentTicketId": "example", "isReplay": true }, "success": true, "error": { "status": "example", "code": "example", "details": "example", "message": "example" }}Unauthorized
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}Forbidden
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}Not Found
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}Conflict
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}Unprocessable Entity
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}Too Many Requests
object
type
string
title
string
status
detail
string
instance
string
object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}object
type
string
title
string
status
detail
string
instance
string
Examplegenerated
{ "type": "example", "title": "example", "status": "example", "detail": "example", "instance": "example"}